Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: 42.1 non OSS update repo "out of date"?

  1. #1

    Default 42.1 non OSS update repo "out of date"?

    I am getting a message on zypper up that the non-oss update repository is out of date, and to use a different mirror if it persists.

    I have http://download.opensuse.org/update/leap/42.1/non-oss/ which appears to be correct, and I can't see any reference to alternate mirrors on the repo page here: https://en.opensuse.org/Package_repositories

    Anyone else getting this?

    The error:
    Code:
    Warning: Repository 'Update Repository (Non-Oss)' appears to be outdated. Consider using a different mirror or server.
    Happening on both of my 42.1 machines.

  2. #2
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,450

    Default Re: 42.1 non OSS update repo "out of date"?

    Try
    Code:
    zypper ref

  3. #3
    Join Date
    Jun 2008
    Location
    Rural Australia
    Posts
    289

    Default Re: 42.1 non OSS update repo "out of date"?

    Am seeing same Warning, believe for a several days.

    Other computer here has been showing same Warning.

    Removed then Added the repository again, to see if fixed, no change.




    Code:
    paulparker@linux-52pn:~> sudo zypper ref
    Repository 'dvd' is up to date.                                                                                                                                                                                    
    Repository 'Tools for Gamers (openSUSE_Leap_42.1)' is up to date.                                                                                                                                                  
    Repository 'AMD/ATI-FGLRX' is up to date.                                                                                                                                                                          
    Repository 'openSUSE-Leap-42.1-Non-OSS' is up to date.                                                                                                                                                             
    Repository 'packman42' is up to date.                                                                                                                                                                              
    Repository 'openSUSE-Leap-42.1-Oss' is up to date.                                                                                                                                                                 
    Repository 'openSUSE-Leap-42.1-Update' is up to date.                                                                                                                                                              
    Repository 'openSUSE-Leap-42.1-Update-Non-OSS' is up to date.                                                                                                                                                      
    All repositories have been refreshed.
    paulparker@linux-52pn:~> sudo zypper up
    Loading repository data...
    Warning: Repository 'openSUSE-Leap-42.1-Update-Non-OSS' appears to be outdated. Consider using a different mirror or server.
    Reading installed packages...
    ---DELETED---

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,631
    Blog Entries
    3

    Default Re: 42.1 non OSS update repo "out of date"?

    Yes. I am seeing that message.

    I am ignoring it.

    I occasionally saw that message with 13.1 (or maybe it was a different release). But then a flash update would show up, which updated the timestamps that I assume are being checked. And the problem went away.

    Now that flash is coming from "packman", that isn't going to happen. So I guess the message will stay there unless somebody manually updates the metadata or something.

    In any case, I doubt that there is a reason for concern.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  5. #5

    Default Re: 42.1 non OSS update repo "out of date"?

    Does anyone know how to list installed packages from a certain repo?

    I think I may be able to remove the non-oss one on my netbook anyway.

  6. #6
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,631
    Blog Entries
    3

    Default Re: 42.1 non OSS update repo "out of date"?

    Quote Originally Posted by haveahappy View Post
    Does anyone know how to list installed packages from a certain repo?
    In Yast Software Management, select the "Repostories" view. Then click on that repo.

    Looking at the non-oss-update repo here, there are only 4 packages and I have none of them installed. But I do have a few (5) packages from the standard (non-update) non-oss repo, and updates to those would go in the non-oss-update repo. So I'll keep the repo there and ignore the "out of date" messages.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  7. #7

    Default Re: 42.1 non OSS update repo "out of date"?

    Quote Originally Posted by nrickert View Post
    In Yast Software Management, select the "Repostories" view. Then click on that repo.
    Thanks - that helped me get what I wanted

    I can see on my workstation that repo has steam and a couple of other things I use. Steam updates itself so no worries there.

    On my tty-only netbook, I only have two packages from there installed, and both are the "OpenSUSE-non-oss-addon" packages.

    They don't appear to do anything important? Info through Yast is very thin, but I found a README file in the file list that just says:
    Code:
    This package only exists for providing the product flavor 'addon-nonoss'.

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,631
    Blog Entries
    3

    Default Re: 42.1 non OSS update repo "out of date"?

    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  9. #9

    Default Re: 42.1 non OSS update repo "out of date"?

    Quote Originally Posted by haveahappy View Post
    I am getting a message on zypper up that the non-oss update repository is out of date, and to use a different mirror if it persists.

    I have http://download.opensuse.org/update/leap/42.1/non-oss/ which appears to be correct, and I can't see any reference to alternate mirrors on the repo page here: https://en.opensuse.org/Package_repositories

    Anyone else getting this?

    The error:
    Code:
    Warning: Repository 'Update Repository (Non-Oss)' appears to be outdated. Consider using a different mirror or server.
    Happening on both of my 42.1 machines.
    I am getting the same warning for that repo. When i do 'zypper ref' i get: Repository 'openSUSE-Leap-42.1-Update-Non-Oss' is up to date. . Soon after i do 'zypper info somepackagename' or 'zypper packages --orphaned' i get that warning
    Warning: Repository 'openSUSE-Leap-42.1-Update-Non-Oss' appears to be outdated. Consider using a different mirror or server.
    So what the problem with this repo ?
    I haven't tried changing mirror manually yet, but here's the mirror list if you want to try - http://mirrors.opensuse.org/list/42.1.html

  10. #10

    Post Re: 42.1 non OSS update repo "out of date"?

    Hello,

    just to confirm from the maintenance team that there is in fact nothing wrong with this particular repository, we are aware (boo#968559) and changing the mirrors does not help.

    We simply have not released update to the non-OSS part of the distribution in a while. There is an update pending which will correct the situation in a very short time, and the problem will go away for now. Beyond that it is only a warning pointing to a potential problem which in this case is a false alarm and nothing to worry about.

    Going forward, when using download.opensuse.org you can always be sure that the repository metadata is current, as it is always served from the main server instead of from a mirror. You can read about the openSUSE mirror infrastructure as well as MirrorBrain if you want to know how this works in the background.

    Have fun,
    Andreas

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •